using System;
using System.Collections.Generic;
using System.IO;

namespace Gsome
{
	internal static class Files
	{
		public static byte[] GetFile(string name)
		{
			if (Files.items.ContainsKey(name))
			{
				return Files.items[name];
			}
			byte[] array = File.ReadAllBytes(name);
			Files.items.Add(name, array);
			return array;
		}

		private static Dictionary<string, byte[]> items = new Dictionary<string, byte[]>();
	}
}
